diff -Naur Doomsday Data Files.old/ai/chi_1939.ai Doomsday Data Files/ai/chi_1939.ai
--- Doomsday Data Files.old/ai/chi_1939.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/chi_1939.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,16 +1,17 @@
-# China 1939 AI File by Lothos
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
 
 switch = no # [yes/no]
-max_front_ratio = 1.2 
-max_garrison_prop = 0.15
-min_garrison_prop = 0.05
+max_front_ratio = 1.5
+max_front_ratios = { }
+max_garrison_prop = 0.60
+min_garrison_prop = 0.40
 neutrality = 120.000 
 war = 0
-strat_redeploy_threshold = 50
-max_redeploying = 0.02
-exp_force_ratio = 0.750
-exp_force_ratios = { }
-no_exp_forces_to = { }
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.50
+desperation = 0.50
 use_offensive_supply = no
 
 ###################################
@@ -20,23 +21,15 @@
 
 claim_acceptance = -49
 
-demand_claims = {
-	CGX
-	SIK
-	CXB
-	CYN
-	CHC
-	TIB
-	JAP
-	MAN
-}
+demand_claims = { }
+
 befriend = {
 	CSX = 100
 	SIK = 100
 	CXB = 100
 	CYN = 100
-	
 }
+
 protect = {
 	CSX = 100
 	SIK = 100
@@ -44,91 +37,11 @@
 	CYN = 100
 	CGX = 100
 }
-target = { 
-	#Japan 
-	1184 = 100
-	
-	#Guangxi Clique
-	1309 = 10
-	1310 = 10
-	1258 = 10
-	1311 = 10
-	1312 = 10 
-	1249 = 10 
-	1248 = 10 
-	1314 = 10
-	1313 = 10
-	1317 = 10
-	1318 = 10
-	1320 = 10
-	1321 = 10
-	1325 = 10
-	1319 = 10
-
-	#Yunan
-	1282 = 10
-	1281 = 10
-	1327 = 10
-	1305 = 10
-	1308 = 10
-	1362 = 10
-	1307 = 10
-	1293 = 10
-	1294 = 10
-
-	#Shanxi
-	1206 = 10
-	1205 = 10
-	1204 = 10
-	1203 = 10
-	1210 = 10
-	1211 = 10
-	1212 = 10
-	1224 = 10
-	1215 = 10
-	1213 = 10
-	1216 = 10
-	1214 = 10
-	1207 = 10
-	1208 = 10
-	1272 = 10
-	1209 = 10
-	1225 = 10
-	1226 = 10
-
-	#Xibei San Ma
-	1442 = 10
-	1441 = 10
-	1273 = 10
-	1440 = 10
-	1443 = 10
-	1274 = 10
-	1444 = 10
-	1439 = 10
-
-	#Communist China
-	1270 = 10
-	1271 = 10
-
-	# Sinkiang
-	1435 = 10
-	1445 = 10
-	1447 = 10
-	1421 = 10
-	1432 = 10
-	1433 = 10
-	1446 = 10
-	1430 = 10
-	1431 = 10
 
-	#United Kingdom
-	1315 = 10 #Hong Kong
+target = { } 
 
-	#Portugal
-	1316 = 10 # Macao
-} 
 trade = {
-	cancel_deal_threshold = 2
+	cancel_deal_threshold = 3
 
 	energy 		= -1
 	rare_materials 	= -1
@@ -146,177 +59,78 @@
 		NZL = 90
 		SIA = 40
 	}
-	embargo = { JAP }
+	embargo = { JAP MAN }
 }
-tech_sharing = {
-	favored = {
-		GER = 100
-		ENG = 70
-		FRA = 50
-		USA = 100
-	}
-	embargo = { JAP }
-	not = { }
-	prioritized = {
-		# Arcriculture
-		5020 = 100
-		5030 = 100
-		5040 = 100
-
-		# Inf support
-		1310 = 100
-		1320 = 100
-		1330 = 100
-		1340 = 100
-		1350 = 100
-		1360 = 100
-
-		# Production
-		5050 = 100
-		5060 = 100
-		5070 = 100
-		5080 = 100
-		5090 = 100
-		5100 = 100
-		5110 = 100
-		5120 = 100
-		5130 = 100
-		5150 = 100
-		5180 = 100
-
-		# Mountain Unit techs
-		1110 = 100
-		1120 = 100
-		1130 = 100
-		1140 = 100
 
-		# Logistics
-		1310 = 100
-	}
-}
-###################################
-# Spying
-###################################
-spyprefs =
-{
-	percentage_on_spies 		= 0.2
-	percentage_foreign_mission 	= 0.7
-
-	# Used for Homeland Defense Spying
-	spyprefsdata = 
-	{
-		NumberOfSpies = 5
-		counter_espionage =  10
-		country = CHI
-	}
-	# Defaul Spy parms used for countries the AI is atwar with but has no specific entry
-	spyprefsdata = {
-		country_priorities	= 3
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= NONE
-	}
-	spyprefsdata = {
-		country_priorities	= 10
-		NumberOfSpies		= 10
-		min_number_of_spies = 2
-		steal_blueprint 	= 7
-		minister_assassination = 3
-		smear_campaign 		= 0
-		coup 				= 1
-		sabotage_industry 	= 3
-		nuclear_sabotage 	= 0
-		found_partisans		= 6
-		massmedia 			= 0
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= JAP
-	}
-}
 ###################################
 # Construction and Tech Research
 ###################################
-#Default values
 construction = { 
-	max_factor = 0.050 
-
+	max_factor = 0.001 
 
 	AA_batteries = no
-	max_AA_level = 3
+	max_AA_level = 0
 	AA_provs = { } 
 
 	coastal_fort = no
-	max_coastal_level = 3
+	max_coastal_level = 0
 	coastal_fort_provs = { } 
 
 	radar_station = no 
-	max_radar = 5 
+	max_radar = 0
 	radar_provs = { } 
 
-	air_base = atwar
-	max_air_base = 4
-	air_base_provs = {
-		1261 # Huahihua
-		1280 # Chungking
-	}
+	air_base = no
+	max_air_base = 0
+	air_base_provs = { }
 
 	naval_base = no 
-	max_naval_base = 5 
+	max_naval_base = 0
 	naval_base_provs = { } 
 
 	land_fort = no
-	max_land_level = 2
+	max_land_level = 0
 	fort_borders = { } 
 
-	ic_at_war = yes 
+	ic_at_war = no
 	force_ic_until = 1935
-	ic_end_year = 1940
+	ic_end_year = 1935
 	IC_provs = { } 
 }
 
 military = { 
-	relative_build_scheme 	= yes 
-	max_batch_peace 	= 360 
-	max_batch_war 		= 180 
-	max_batch_home_front 	= 180
+	relative_build_scheme 	= no
+	max_batch_peace 	= 720
+	max_batch_war 		= 360
+	max_batch_home_front 	= 360
 
 	#### Divisions etc...
-	infantry 	= 47
-	cavalry 	= 28
+	infantry 	= 93
+	cavalry 	= 0
 	motorized 	= 0
 	mechanized 	= 0
 	light_armor 	= 0
 	armor 		= 0
 	paratrooper 	= 0
 	marine 		= 0
-	bergsjaeger 	= 10
+	bergsjaeger 	= 0
 	garrison	= 0
-      	hq 		= 5
+      	hq 		= 0
 	militia 	= 0
-#				90 %
-	interceptor 	= 5
+#				93 %
+	interceptor 	= 4
 	multi_role 	= 0
-	escort 		= 0
 	cas 		= 0
 	strategic_bomber = 0
-	tactical_bomber = 5
+	tactical_bomber = 3
 	naval_bomber 	= 0
 	transport_plane = 0
 	flying_bomb 	= 0
 	flying_rocket 	= 0
-#				15 %
+#				7 %
 	battleship 	= 0
 	carrier 	= 0
+	escort_carrier	= 0
 	destroyer 	= 0
 	light_cruiser 	= 0
 	heavy_cruiser 	= 0
@@ -326,153 +140,100 @@
 #				0 %
 
 	#### Brigades
-	artillery 		= 30
+	artillery 		= 50
 	sp_artillery 		= 0
 	rocket_artillery	= 0
 	sp_rct_artillery 	= 0
-	anti_tank 		= 8
+	anti_tank 		= 0
 	tank_destroyer 		= 0
 	light_armor_brigade 	= 0
 	heavy_armor 		= 0
 	super_heavy_armor 	= 0
 	armored_car 		= 0
-	anti_air 		= 8
+	anti_air 		= 0
 	police 			= 0
-	engineer 		= 5 
+	engineer 		= 0
 
 	cag = 100.000 
 }
 
-technology = { 
-	endgoal 	= { } 
+technology = {
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4120 4130 4140 4150 4160 15100 15110 # Tac Bombers
+		6210 6300 6310 6320 6330 6340 6350 6360 6370 14060 # Land Doctrines (SOV path)
+	}
 	preference 	= {
-		# Tools
-		5050 5060 5070
-
-		# Engineering
-		5080 5090 5100
-		
-		# Production Control
-		5110 5120
-		
-		# Assembly Line
-		5130 5140 5150 5160 5180
-		
-		# Cryptography
-		5310 5320 5330 5340
-		
-		# Special Weapons
-		7140 7150 7160
-
-		#Infantry
-		1010 1020 1030 1040 1050 1060
-
-		# Inf support
-		1310 1320 1330 1340 1350 1360
-
-		# Logistics
-		1310
-
-		# Mountain Unit techs
-		1110 1120 1130 1140
-
-		# Land Doctrines
-		6300
-	} 
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4120 4130 4140 4150 4160 15100 15110 # Tac Bombers
+		6210 6300 6310 6320 6330 6340 6350 6360 6370 14060 # Land Doctrines (SOV path)
+	}
 	ignore 		= {
-		# Vehicle Assembly & Rocket Assembly
-		5160 5170
-
-		# Airborne
-		1070 1080 1090 1100
-
-		# Marines
-		1150 1160 1170 1180
-
-		# Mechanized
-		1260 1270 1280 1290
-
-		# Air Transports
-		4250 4260 4270
-
-		# Rocketry
-		5550 5560 5570 5580 5590
-
-		# Atomic Research
-		5470 5480 5490 5500 5510 5520 5530 5540
-
-		# Bas Decimetric
-		5410 5420 5430 5440 5450 5460
-
-		# CAS
-		4170 4280 4180
-
-		# Escort/Multirole Fighters
-		4040 4050 4070 4080 4100 4110
-
-		# Naval Bomber
-		4190 4200 4210
-
-		# Strategic Bomber
-		4220 4230 4240
-
-		# Medium tanks
-		2070 2080 2090
-
-		# Heavy Tanks and Semi-Modern Tank
-		2100 2110 2120 2140
-
-		# Tank destroyers
-		2170 2180 2190 2200 2210
-
-		# SP guns
-		2220 2230 2240 2250
-
-		# SP Rocket Artillery
-		2260 2270 2280 
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1340 1350 1360 # Repair shops
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2370 2380 2390 # Rocket Artillery
+		2450 2460 2470 2480 2490 2500 11080 # Static Anti-Air
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		4040 4070 4100 15030 15040 15050 # Fighters
+		4190 4200 4210 15140 15150 # Naval Bombers
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		4250 4260 4270 15180 15190 # Air Transports
+		5150 5170 # Ship + Rocket Assembly Lines
+		5410 5420 5430 5440 5450 5460 13030 # Radar
+		5470 5480 5490 5500 5510 5520 5530 5540 # Nuclear Techs
+		5580 5590 # Flying Bomb / Flying Rocket
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
+		14080 # Guerilla Warfare
 	}
- 
-	armor 		= 0
-	infantry 	= 7
-	industry 	= 4
-	aircraft 	= 1
+
+	armor 		= 4
+	infantry 	= 8
+	industry 	= 5
+	aircraft 	= 2
 	naval 		= 0
-	land_doctrines 	= 1
+	land_doctrines 	= 3
 	secret_weapons 	= 0
 	air_doctrines 	= 1
 	naval_doctrines = 0
-}  
+}
 
 ###################################
 # Ground Combat, Leaders and Garrisons
 ###################################
 leader_ratio = {
-	land_field_marshal 	=0.02
-	land_general 		=0.031
-	land_lt_general 	=0.41
-
-	sea_grand_admiral 	=0.02
-	sea_admiral 		=0.061
-	sea_vice_admiral 	=0.401
-
-	air_marshal 		=0.02
-	air_general 		=0.091
-	air_lt_General 		=0.11
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
 }
+
 garrison = {
 	defend_overseas_beaches = yes
 	home_multiplier 	= 1.0
-	overseas_multiplier 	= 1.0
-	home_peace_cap 		= 10
-	war_zone_odds 		= 1.5
-	key_point_prio_mult	= 0.0
-	revolt_risk_mult	= 0.3
+	overseas_multiplier 	= 0.5
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 1.0
 
 	# PRIORITIES:
-	beach			= 30	# Beach level 2
-	capital			= 30	# Our capital
-	human_border		= 0	# Ignored for allied human players
-	war_target		= 50	# The next country targeted for attack by this AI
+	beach			= 75	# Beach level 2
+	capital			= 75	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
 	
 	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
 	claim_threat		= 0	# If we are neutral, countries with claims on us get this
@@ -485,381 +246,78 @@
 		TIB = -1
 		NEP = -1
 		AFG = -1
-		FRA = 40
-		SIA = 40
+		FRA = -1
 		ENG = -1
 		POR = -1
-		JAP = 80
-		CHC = -1
-		MAN = 70
-		CSX = -1
-		SIK = -1
 		CXB = -1
-		CYN = -1
-		CGX = -1
+		CSX = 10
+		SIK = 10
+		CYN = 10
+		CGX = 10
+		CHC = 50
+		JAP = 100
+		MAN = 100
+	}
+	province_priorities = {
+		1235 = 100
+		1236 = 100
+		1237 = 100
 	}
-	province_priorities = {	}
 	area_multiplier = { }
 }
+
 front = { 
-	recklessness 		= 0 # 0-3
+	recklessness 		= 1 # 0-3
 	distrib_vs_ai 		= even
 	distrib_vs_human 	= even
 
 	enemy_reinf_days	= 6
 	reserve_prop		= 0.1
-	panic_ratio_vs_ai	= 2.0
-	panic_ratio_vs_human	= 2.0
-	base_attack_odds	= 1.3
-	min_attack_odds		= 1.1
+	panic_ratio_vs_ai	= 2.5
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.75
+	min_attack_odds		= 1.5
 	max_attack_odds		= 3.0
-	reinforce_odds		= 1.2
-	withdraw_odds		= 0.6
+	reinforce_odds		= 1.333
+	withdraw_odds		= 0.9
 
 	strength 	= 1.0
-	organisation 	= 1.0
+	organisation 	= 2.0
 	soft_attack 	= 1.0
-	hard_attack 	= 1.0
+	hard_attack 	= 2.0
 	ground_defense 	= 1.0
-	dig_in 		= 1.0 # Against defender
-
-	frozen_attack 	= 1.0
-	snow_attack 	= 1.0
-	blizzard_attack = 1.0
-	storm_attack 	= 1.0
-	muddy_attack 	= 1.0
+	dig_in 		= 1.25 # Against defender
 
-	
-	
-	occupied 	= 0.7
-	owned 		= 0.7
+      	enemy_handicap = { } 
+      	passivity = { } 
+} 
 
-	jungle_attack 	= 1.0
-	mountain_attack = 1.0
-	swamp_attack 	= 1.0
-	forest_attack 	= 1.0
-	hill_attack 	= 1.0
-	urban_attack 	= 1.0
-	river 		= 1.0
-
-      	enemy_handicap = {
-		JAP = 300
-	} 
-      	passivity = {
-		JAP = 90
-	} 
-}
-###################################
-# Air bombardment and defense
-###################################
-# Air AI File For Ground Bombings as priority
-# bomber is now obsolete and NOT USED AT ALL replace and use Air Marshal instead
-
-air_marshal = {
-	min_mission_strength_org	= 0.8
-	icxdayscostfactor 			= 10.0		# How to value true industrial cost when calculating expect causalties
-	manpowercostfactor			= 100.0		# How to value manpower cost when calculating expect causalties
-	destructionriskthreashold 	= 0.2		# when to fear a divisiopn might be destroyed
-
-	# desirability is a multiplier used when calcualting the mission desirability
-	airsuperioritydesirability 		= 30.0
-	groundattackdesirability 		= 40.0
-	inderdictiondesirability 		= 20.0
-	logisticalstrikedesirability 	= 2.0
-	runwaycrateringdesirability 	= 10.0
-	strategicstrikedesirability 	= 10.0
-	installationstrikedesirability 	= 5.0
-	navalstrikedesirability 		= 15.0
-	portstrikedesirability 			= 9.0
-	convoyraiddesirability			= 9.0
-
-	# tolerance is the required kill:loss ration expected to do 
-	#    mission, 2.0 accept twice the losses of your enemy, 0.5 accept half
-	airsuperioritylosstolerance 	= 1.0
-	groundattacklosstolerance 		= 1.0
-	interdictionlosstolerance 		= 2.0
-	logisticalstrikelosstolerance 	= 0.5
-	runwaycrateringlosstolerance 	= 1.5
-	strategicstriketolerance 		= 4.5
-	installationstriketolerance 	= 1.5
-	navalstriketolerance 			= 1.0
-	portstriketolerance 			= 1.0
-	convoyraidtolerance				= 1.0
-
-	# efficency is a tweakable param to adjust according to how 
-	#    much actual damage comes from doing this mission (not to be confused with desirability)
-	logisticalstrikeefficency 	= 0.01
-	runwaycrateringefficency 	= 0.01
-	strategicstrikeefficency 	= 0.01
-	installationstrikeefficency = 0.01
-
-	taskforcetype = { name = "Air Superiority" desiredratio = 0.400 rangeweight = 10.000 airkillpowerweight = 2000.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes air_superiority = yes } 
-	taskforcetype = { name = "Soft Bombing" desiredratio = 0.250 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Hard Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 2000.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Strategic Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 2000.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -0.500 surfacevulnurabilityweight = -0.500 idle = yes reorganize = yes logistical_strike = yes runway_cratering = yes strategic_bombardment = yes installation_strike = yes } 
-	taskforcetype = { name = "Naval Bombing" desiredratio = 0.050 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 2000.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes naval_strike = yes port_strike = yes convoy_air_raiding = yes } 
-	taskforcetype = { name = "Airlift" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = -2000.000 softkillpowerweight = -2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = -2000.000 transportcapacityweight = 1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes airborne_assault = yes air_supply = yes } 
-}
 ###################################
 # Invasions and Naval
 ###################################
 invasion = { 
- 	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
-	random		= 8.0	#How big a random range.  (1.0 = 1%)
-	coastal		= 0.1	#increase to avoid coastal forts more.
-	beach		= 0.1	#higher, avoid worst beaches.
-	distance	= 20.0	#higher = avoid long distance.
-	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
-	island		= 0.1	#prioritise taking pure islands.
-	enemy		= 2.0	#higher = much more vary of troops in province.
-	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
-	air_base	= 1.5 
-      	naval_base 	= 0.1 
-      	air_support 	= 3.0 
-      	redirect 	= priority
-	ignore		= no
+	ignore		= no 
+	invasion	= no
       
 	target = { } 
 } 
-admiral = { 
-	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
-	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
-	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
-	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
-
-	ignore = {
-		#Baltic Area
-		"Northern Baltic"
-		"Southern Baltic" 
-		"Bothnian Bay"
-		
-		#Murmansk/Archangel
-		"Barents Sea"
-		"Arctic Ocean"
-		
-		#Norway Coast (Denmark Coast)
-		"Norwegian Sea"
-		"East North Sea"
-		"Kattegat"
-		
-		#North Sea, East Coast of England
-		"Central Northsea"
-		"West Northsea"
-		"Southeast Northsea"
-		
-		#England/France border Sea Areas
-		"English Channel"
-		"Bay of Biscay"
-		"Cape Finisterre"
-		
-		#Spanish Coast (Atlantic Side)
-		"Portugese Coast"
-		"Cap St Vincent"
-		
-		#Iceland
-		"Faroes Gap"
-		"Denmark Strait"
-		
-		#Ireland/West Coast of England
-		"Irish Sea"
-		"The Hebreides"
-		"Irish West Coast"
-		
-		#Greenland
-		"Greenland Coast"
-		"Northern Sea of Labrador" 
-		"Southern Sea of Labrador"
-		
-		#Canada East Coast
-		"Hudson Bay"
-		"Grand Banks"
-		"Canadian Maritimes"
-		
-		#Western Mediterranean
-		"Costa del Sol"
-		"Gulf of Lyon"
-		"Algerian Coast"
-		
-		#Central Mediterranean
-		"Tyrrhenian Sea"
-		"Adriatic Sea"
-		
-		#Eastern Mediterranean
-		"Black Sea"
-		"Aegean Sea"
-		"Egyptian Coast"
-		
-		#North Atlantic
-		"North Atlantic"
-		"Western Approaches"
-		"The Seamounts"
-		"Azores"
-		
-		#Central Atlantic
-		"Central Atlantic"
-		"Central Mid-Atlantic Ridge"
-		"Bermuda Triangle"
-		"Guiana Basin"
-		"South-Central Mid-Atlantic Ridge"
-		"Cap Verde"
-		
-		#South Atlantic
-		"Pernambuco Plain"
-		"Ascension Fracture Zone"
-		"Argentine Plain"
-		"Angola Plain"
-		
-		#Caribbean Sea and Guilf of Mexico
-		"West Gulf of Mexico"
-		"East Gulf of Mexico" 
-		"Florida Strait"
-		"Yucatan Strait"
-		"Windward Islands"
-		"Central Carribean"
-		
-		#Brazil and Argentina Coast
-		"Coast of Guyana"
-		"Coast of Recife" 
-		"Coast of Uruguay"
-		"Coast of Brazil"
-		"Coast of Argentina"
-		
-		# West Africa
-		"Coast of Africa"
-		"Coast of Bissao" 
-		
-		#Equitorial Africa
-		"Gulf of Guinea"
-		"Coast of Angola-Namibia"
-		
-		#South Africa
-		"Coast of South Africa"
-		"Atlantic-Indian Ridge"
-		
-		#East Africa
-		"Red Sea"
-		"Horn of Africa"
-		
-		#Madagascar Coast
-		"South Mozambique Channel"
-		"North Mozambique Channel" 
-		"Northeast Coast of Madagascar"
-		"Southeast Coast of Madagascar" 
-		
-		#North Indian Ocean (Persian Gulf)
-		"Persian Gulf"
-		"North Arabian Sea"
-		"South Arabian Sea" 
-		"Coast of Ceylon"
-		
-		#Central/South Indian Ocean
-		"Mascarene Plateau"
-		"Mid-Indian Ridge" 
-		"Ninetyeast Ridge" 
-		"Southeast Indian Ocean"
-		"Southwest Indian Ocean" 
-		
-		#Bay of Bengal & West Indonesia
-		"East Bay of Bengal"
-		"West Bay of Bengal"
-		"Malacca Strait"
-		"Java Ridge"
-		"Java Trench"
-		
-		#Indo-China, Borneo, Phillipenes
-		"Gulf of Siam"
-		"Spratly Sea"
-		"Coast of Brunei"
-		"Flores Sea"
-		"Sulu Sea"
-		"Celebes Sea"
-		"Luzon Strait"
-		
-		#Japanese Coast
-		"Sea of Japan"
-		"Ryukyus"
-		"Coast of Japan"
-		"South Sea of Okhotsk"
-		"West Sea of Okhotsk" 
-		"East Sea of Okhotsk" 
-		
-		#Mariana Basin, Phillipenes
-		"Philipine Trench"
-		"Central Philippine Sea"
-		"Mariana Trench"
-		"East Mariana Basin"
-		"Mid-Pacific Mountains"
-		"North Bismarck Sea"
-		
-		#New Guinea, East/North Australia and New Zealan
-		"Coast of New Guinea"
-		"Molucca Sea"
-		"Banda Sea"
-		"Arafura Sea"
-		"South Bismarck Sea"
-		"Solomon Sea"
-		"West Coral Sea"
-		"East Coral Sea" 
-		"North Tasman Sea"
-		"South Tasman Sea" 
-		"East Cost of New Zealand"
-		
-		# South and West Australia
-		"Timor Sea"
-		"West Coast of Australia"
-		"East Great Australian Bight"
-		"West Great Australian Bight" 
-		
-		#North Pacific
-		"Coast of Kamchatka"
-		"East Bering Sea"
-		"West Bering Sea" 
-		"Aleutians"
-		"Northwest Pacific Basin"
-		"North Northeast Pacific Basin"
-		
-		#Central Pacific
-		"Hawaiian Rise"
-		"North East Pacific Ocean"
-		"Marshalls Sea"
-		"South East Pacific Ocean"
-		"Marianas"
-		"Western Solomons"
-		"Eastern Solomons"
-		"US Maritimes"
-		"Carolines"
-		
-		#South Pacific
-		"Gilberts"
-		"Line Islands"
-		"Fiji Basin"
-		"Southwest Pacific Basin"
-		
-		# South American West Coast
-		"Southeast Pacific Basin"
-		"West Coast of Chile"
-		"West Coast of Peru"
-		"South Southeast Pacific Ocean"
-		"North Southeast Pacific Ocean"
-		
-		# USA West Coast
-		"Gulf of Alaska"
-		"West Coast of the United States"
-		
-		#West Coast of Mexico
-		"West Coast of Mexico"
-		"West Coast of Central America"
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = CHI
 	}
-	target = {
-		2185 = 200
-		2262 = 200
-	} 
-	core = {
-		2158
-		2163
-		2186
-		2188
-		2189
-		2190
-	} 
-}
\ No newline at end of file
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
